   const resolver = {
      resolve: function resolve(options, callback) {
        const resolveString = options.resolveString || options.element.getAttribute('data-target-resolver');
        const combinedOptions = Object.assign({}, options, { resolveString: resolveString });

        function getRandomInteger(min, max) {
          return Math.floor(Math.random() * (max - min + 1)) + min;
        };

        function randomCharacter(characters) {
          return characters[getRandomInteger(0, characters.length - 1)];
        };

        function doRandomiserEffect(options, callback) {
          const characters = options.characters;
          const timeout = options.timeout;
          const element = options.element;
          const partialString = options.partialString;

          let iterations = options.iterations;

          setTimeout(() => {
            if (iterations >= 0) {
              const nextOptions = Object.assign({}, options, { iterations: iterations - 1 });

              if (iterations === 0) {
                element.textContent = partialString;
              } else {
                element.textContent = partialString.substring(0, partialString.length - 1) + randomCharacter(characters);
              }

              doRandomiserEffect(nextOptions, callback)
            } else if (typeof callback === "function") {
              callback();
            }
          }, options.timeout);
        };

        const customFont = new FontFace('road_rage', 'url(road_rage/road_rage.woff)');

        customFont.load().then(function (loadedFont) {
          document.fonts.add(loadedFont);
          const textElement = document.querySelector('[data-target-resolver]');
          textElement.style.fontFamily = 'road_rage';
        }).catch(function (error) {
          console.error('Failed to load the font', error);
        });

        function doResolverEffect(options, callback) {
          const resolveString = options.resolveString;
          const characters = options.characters;
          const offset = options.offset;
          const partialString = resolveString.substring(0, offset);
          const combinedOptions = Object.assign({}, options, { partialString: partialString });

          doRandomiserEffect(combinedOptions, () => {
            const nextOptions = Object.assign({}, options, { offset: offset + 1 });

            if (offset <= resolveString.length) {
              doResolverEffect(nextOptions, callback);
            } else if (typeof callback === "function") {
              callback();
            }
          });
        };

        doResolverEffect(combinedOptions, callback);
      }
    }

    const strings = [
      '$CHARLIE'
    ];

    let counter = 0;

    const options = {
      offset: 0,
      timeout: 5,
      iterations: 10,
      characters: ['a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'x', 'y', 'x', '#', '%', '&', '-', '+', '_', '?', '/', '\\', '='],
      resolveString: strings[counter],
      element: document.querySelector('[data-target-resolver]')
    }

    function callback() {}

    resolver.resolve(options, callback);

